summaryrefslogtreecommitdiffstats
path: root/source/x/fcitx
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/fcitx')
-rw-r--r--source/x/fcitx/doinst.sh12
-rw-r--r--source/x/fcitx/fcitx-autostart.patch30
-rwxr-xr-xsource/x/fcitx/fcitx.SlackBuild127
-rw-r--r--source/x/fcitx/slack-desc19
4 files changed, 188 insertions, 0 deletions
diff --git a/source/x/fcitx/doinst.sh b/source/x/fcitx/doinst.sh
new file mode 100644
index 000000000..c9d0cf4d7
--- /dev/null
+++ b/source/x/fcitx/doinst.sh
@@ -0,0 +1,12 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x usr/bin/update-gtk-immodules ]; then
+ chroot . /usr/bin/update-gtk-immodules --verbose 1>/dev/null
+fi
+
diff --git a/source/x/fcitx/fcitx-autostart.patch b/source/x/fcitx/fcitx-autostart.patch
new file mode 100644
index 000000000..10924fbeb
--- /dev/null
+++ b/source/x/fcitx/fcitx-autostart.patch
@@ -0,0 +1,30 @@
+--- fcitx-autostart.orig 2017-03-26 17:58:45.586105103 +0200
++++ fcitx-autostart 2017-03-26 17:59:09.693105345 +0200
+@@ -1,4 +1,26 @@
+-#!/bin/sh
++#!/bin/bash
++
++START="no"
++
++if [ "$XIM" = "fcitx" ]; then
++ START="yes"
++fi
++
++if [ "$XIM_PROGRAM" = "fcitx" ]; then
++ START="yes"
++fi
++
++if [ "$GTK_IM_MODULE" = "fcitx" ]; then
++ START="yes"
++fi
++
++if [ "$QT_IM_MODULE" = "fcitx" ]; then
++ START="yes"
++fi
++
++if [ "$START" = "no" ]; then
++ exit 0
++fi
+
+ # sleep for a little while to avoid duplicate startup
+ sleep 2
diff --git a/source/x/fcitx/fcitx.SlackBuild b/source/x/fcitx/fcitx.SlackBuild
new file mode 100755
index 000000000..8c6f2116f
--- /dev/null
+++ b/source/x/fcitx/fcitx.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Slackware build script for fcitx.
+
+# Copyright 2012 vvoody <vvoodywang@gmail.com>
+# Copyright 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=fcitx
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | cut -f 2- -d _ | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i586 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-fcitx
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf fcitx-$VERSION
+tar xvf $CWD/fcitx-${VERSION}.tar.?z || exit 1
+cd fcitx-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Patch fcitx-autostart to only start when fcitx is the configured input method
+zcat $CWD/fcitx-autostart.patch.gz | patch -p0 --verbose -d data/script/
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING=${SLKCFLAGS} \
+ -DCMAKE_CXX_FLAGS:STRING=${SLKCFLAGS} \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONFDIR=/etc \
+ -DENABLE_GTK2_IM_MODULE=On \
+ -DENABLE_GTK3_IM_MODULE=On \
+ -DENABLE_QT=Off \
+ -DENABLE_QT_IM_MODULE=Off \
+ -DENABLE_QT_GUI=Off \
+ -DENABLE_OPENCC=On \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install/strip DESTDIR=$PKG || exit 1
+cd ..
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/$PKGNAM $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README THANKS TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/x/fcitx/slack-desc b/source/x/fcitx/slack-desc
new file mode 100644
index 000000000..c64bd1b50
--- /dev/null
+++ b/source/x/fcitx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fcitx: fcitx (Input Method Framework)
+fcitx:
+fcitx: Fcitx is an input method framework with extension support. Currently
+fcitx: it supports Linux and Unix systems like freebsd. It has three built-
+fcitx: in Input Method Engine, Pinyin, QuWei and Table-based input methods.
+fcitx: Fcitx tries to provide a native feeling under all desktop as well as
+fcitx: a light weight core. You can easily customize it to fit your
+fcitx: requirements.
+fcitx:
+fcitx: Homepage: https://fcitx-im.org/wiki/Fcitx
+fcitx: